Name:           ocaml-size
Version:        1.7
Release:        %mkrel 1
Summary:        Memory size of an OCaml value
License:        LGPL 2.1, with the special exception on linking
Group:          Development/Other
URL:            http://www.lri.fr/~filliatr/software.en.html
Source0:        http://www.lri.fr/~filliatr/ftp/ocaml/ds/size.ml
Source1:        http://www.lri.fr/~filliatr/ftp/ocaml/ds/size.mli
Source2:        META
BuildRequires:  ocaml

%description
Memory size of an OCaml value.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
cp %{SOURCE0} .
cp %{SOURCE1} .
cp %{SOURCE2} .
sed -i -e 's:@VERSION@:%{version}:g' META

%build
ocamlbuild size.cma size.mli size.ml
ocamlbuild size.cmxa size.mli size.ml

%install
rm -rf %{buildroot}
%define destdir %{buildroot}/%{_libdir}/ocaml/size
cd _build
install -d -m 755 %{destdir}
install -m 0644 ../META ../size.mli size.cmi size.cma size.cmxa size.a %{destdir}

%files
%dir %{_libdir}/ocaml/size
%{_libdir}/ocaml/size/META
%{_libdir}/ocaml/size/*.cmi
%{_libdir}/ocaml/size/*.cma

%files devel
%{_libdir}/ocaml/size/*.a
%{_libdir}/ocaml/size/*.cmxa
%{_libdir}/ocaml/size/*.mli


%changelog

* Thu Apr 12 2012 blue_prawn <blue_prawn> 1.7-1.mga2
+ Revision: 230551
- imported package ocaml-size

